ext_session_acl(8)

NAME
ext_session_acl - Squid session tracking external acl helper.

Version 1.0

SYNOPSIS
ext_session_acl [-t timeout ] [-b database ] [-a]

DESCRIPTION
ext_session_acl maintains a concept of sessions by monitoring requests and timing out sessions if no requests have been seen for the idle timeout timer.

Intended use is for displaying "terms of use" pages, ad popups etc.

OPTIONS

-t timeout
    Timeout for any session. If not specified the default is 3600 seconds.

-b path
    Path to persistent database. If not specified the session details will be kept in memory only and all sessions will reset each time Squid restarts it's helpers (Squid restart or rotation of logs).

-a  Active mode. In this mode sessions are started by evaluating an acl with the argument LOGIN , or terminated by the argument LOGOUT

Without this flag the helper automatically starts the session after the first request.

CONFIGURATION

Configuration example using the default automatic mode
    external_acl_type session ttl=300 negative_ttl=0 children=1 concurrency=200 %LOGIN /usr/local/squid/libexec/ext_session_acl
    acl session external session
    http_access deny !session
    deny_info http://your.server.example.com/bannerpage?url=%s session

Then set up http://your.server.example.com/bannerpage to display a session startup page and then redirect the user back to the requested URL given in the url query parameter.

AUTHOR
This program and documentation was written by Henrik Nordstrom <henrik@henriknordstrom.net>

COPYRIGHT
This program and documentation is copyright to the authors named above.

Distributed under the GNU General Public License (GNU GPL) version 2 or later (GPLv2+).

QUESTIONS
Questions on the usage of this program can be sent to the Squid Users mailing list <squid-users@squid-cache.org>

REPORTING BUGS
Bug reports need to be made in English. See http://wiki.squid-cache.org/SquidFaq/BugReporting for details of what you need to include with your bug report.

Report bugs or bug fixes using http://bugs.squid-cache.org/

Report serious security bugs to Squid Bugs <squid-bugs@squid-cache.org>

Report ideas for new improvements to the Squid Developers mailing list <squid-dev@squid-cache.org>

SEE ALSO
squid(8), GPL(7),
The Squid FAQ wiki http://wiki.squid-cache.org/SquidFaq
The Squid Configuration Manual http://www.squid-cache.org/Doc/config/